Description

This is a simple guide for setting up a standalone MariaDB server on FreeBSD 9.2.

e Update the system and ports tree:

pkg update && pkg upgrade

Install MariaDB server

e Start by installing the mariadb-server and mariadb-client packages:

pkg install mariadb55-{server,client}

Configure MariaDB server

e Copy a base MariaDB configuration to use
cp /usr/local/share/mysql/my-small.cnf /var/db/mysqgl/my.cnf
e Tuning: Copy one of the default config files and change the max packet size:

vi /var/db/mysgl/my.cnf

o and modify max_allowed_packet to 32M
max_allowed_packet = 32M
e Enable and start MariaDB

echo 'mysgl_enable="YES"' >> /etc/rc.conf
service mysgl-server start

e Prepare Database for use by running the secure installation:

mysqgl_secure_installation

o NOTE: Choose a strong root password and answer yes to all questions.

Create MariaDB Databases and Users
e Login to MariaDB and create appropriate databases and users.

mysgl —-u root -p

o and run the following SQL queries to create the somedatabase database and someuser user:

CREATE DATABASE somedatabase CHARACTER SET utf8;

CREATE USER 'someuser'@'127.0.0.1' IDENTIFIED BY 'SuperSecretPassword';

GRANT ALL PRIVILEGES ON somedatabase.* TO 'someuser'@'127.0.0.1°'";

flush privileges;

History

#1 - 02/06/2015 01:36 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 02/09/2015 02:29 PM - Daniel Curtis

- Status changed from Resolved to Closed

#3 - 02/14/2015 10:50 AM - Daniel Curtis

- Target version set to FreeBSD 9
- Category set to Database Server
